import * as core from "@terrascript/core";

export interface DsWebAclArgs {
  name: string | core.StringOut;
}

export class DsWebAcl extends core.Data<DsWebAclArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public name!: string | core.StringOut;

  constructor(name: string, args?: DsWebAclArgs) {
    super(name, "aws_waf_web_acl", args);
  }

  public override getNamespace(): string {
    return "aws_waf";
  }
}
